local S = minetest.get_translator("my_hidden_doors")

local hdoor_list = {   --Number , Description , default image
	{ "cobble" , S("Hidden Cobble Door"), "default_cobble"},
	{ "stone" , S("Hidden Stone Door"), "default_stone"},
	{ "wood", S("Hidden Wood Door"), "default_wood"},
	{ "stone_brick", S("Hidden Stone Brick Door"), "default_stone_brick"},
	{ "brick", S("Hidden Brick Door"), "default_brick"},
	{ "desert_cobble", S("Hidden Desert Cobble Door"), "default_desert_cobble"},
	{ "furnace", S("Hidden Furnace Door") , "mydoors_furnace" , "door7"},
	{ "chest", S("Hidden Chest Door") , "mydoors_chest" , "door8"},
	{ "bookshelf", S("Hidden Bookshelf Door") , "mydoors_bookshelf" , "door9"},
}

local function add_door(img, desc)
	-- Cannot add locked doors because the tooltip defies the purpose of being a hidden door
	doors.register_door("my_hidden_doors:hidden_door"..img, {
		description = desc,
		inventory_image = "mydoors_"..img.."_inv.png",
		groups = {choppy=2,cracky=2,door=1},
		tiles = {{ name = "mydoors_"..img..".png", backface_culling = true }},
		protected = false,
	})
end


for _,hdoor in ipairs(hdoor_list) do
	add_door(unpack(hdoor))
end

-- Crafts

minetest.register_craft({
	output = "my_hidden_doors:hidden_doorcobble 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:cobble", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorstone 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:stone", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorwood 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:wood", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorstone_brick 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:stonebrick", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doordesert_cobble 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:desert_cobble", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorfurnace 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:furnace", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorchest 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:chest", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorbookshelf 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:bookshelf", ""},
		{"", "", ""},
		{"", "", ""}
	}
})
minetest.register_craft({
	output = "my_hidden_doors:hidden_doorbrick 1",
	recipe = {
		{"my_hidden_doors:hidden_door_grey", "default:brick", ""},
		{"", "", ""},
		{"", "", ""}
	}
})

