#!/bin/sh
#―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
# Nomo:      pretigi.sh
# Priskribo: Elŝutas eksterajn modifaĵojn kaj kunigas ĉiun en mods/
# Postuloj:  git
# Dato:      2024-01-04
#―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

uzado() {
	echo "uzado: pretigi.sh"
	echo ""
	echo "Se ruliĝas en gemujo_ludo fontodosierujo (kun «mods.viaj/»),"
	echo "tiu ĉi skripto elŝutas fremdajn modifaĵojn laŭeble, kaj poste"
	echo "ligas kaj fremdajn (el «mods.retaj/») kaj proprajn (el «mods.niaj/»)"
	echo "modifaĵojn en la dosierujo «mods/»."
	echo ""
	echo "Se vi movas la dosierujon de gemujo_ludo, vi devos reruli tiun"
	echo "ĉi skripton por religi la modifaĵojn."
	echo ""
	echo "Sekuras ruli tiun ĉi skripton plurfoje."
}


# Elŝutas ĉiujn fremdajn modifaĵojn, laŭbezone, al la dosierujo `mods.retaj/`.
elshuti() {
	mkdir mods.retaj/ mods/ 2> /dev/null

	git clone https://github.com/minetest/minetest_game mods.retaj/.minetest_game
	cp -r mods.retaj/.minetest_game/mods/* mods.retaj/
	rm -rf mods.retaj/beds/ mods.retaj/binoculars/ mods.retaj/game_commands/ \
	   mods.retaj/svinf mods.retaj/tnt/

	git clone https://github.com/jadedctrl/3d_armor mods.retaj/3d_armor
	git clone https://codeberg.org/tenplus1/ambience mods.retaj/ambience
	git clone https://github.com/jadedctrl/animalia mods.retaj/animalia # Provizore, ĝis la traduko akceptiĝos
	# git clone https://github.com/jadedctrl/aerial mods.retaj/aerial # Provizore samkiale
	git clone https://codeberg.org/tenplus1/beds mods.retaj/beds_tenplus1
	git clone https://github.com/minetest-mods/carpets mods.retaj/carpets
	git clone https://github.com/appgurueu/character_anim mods.retaj/character_anim
	git clone https://github.com/JadedCtrl/climate_api mods.retaj/climate_api # Provizore
	git clone https://github.com/HybridDog/connected_chests mods.retaj/connected_chests
	git clone https://github.com/JadedCtrl/creatura mods.retaj/creatura
	git clone https://codeberg.org/jadedctrl/minetest_doc mods.retaj/doc # Provizore
	git clone https://codeberg.org/Wuzzy/minetest_doc_basics mods.retaj/doc_basics
	git clone https://codeberg.org/tenplus1/doors mods.retaj/doors
	git clone https://github.com/jadedctrl/minetest-envelopes mods.retaj/envelopes # Provizore
	git clone https://github.com/Dumpster-Studios/fire_plus mods.retaj/fire_plus
	# git clone https://github.com/CBugDCoder/glider Ne povas elekti!
	# git clone https://notabug.org/Piezo_/minetest-hangglider Ne povas elekti!
	git clone https://notabug.org/jadedctrl/minetest_i4 mods.retaj/i4
	git clone https://github.com/minetest-mods/lightning mods.retaj/lightning
	git clone https://github.com/appgurueu/modlib mods.retaj/modlib
	git clone https://codeberg.org/jadedctrl/minetest_mobs_monster mods.retaj/mobs_monster
	git clone https://codeberg.org/jadedctrl/minetest_mobs_redo mods.retaj/mobs_redo
	git clone https://github.com/JadedCtrl/plushies mods.retaj/plushies # Provizore
	git clone https://codeberg.org/jadedctrl/protector mods.retaj/protector # Provizore
	git clone https://github.com/t-affeldt/regional_weather mods.retaj/regional_weather
	git clone https://github.com/JadedCtrl/minetest_public_death_messages mods.retaj/public_death_messages #Provizore
	git clone https://github.com/ElCeejo/spiradilus mods.retaj/spiradilus
	git clone https://github.com/jadedctrl/skinsdb mods.retaj/skinsdb # Provizore
	git clone https://github.com/jadedctrl/signs_lib mods.retaj/signs_lib # Provizore
	git clone https://gitlab.com/jadedctrl/spears mods.retaj/spears # Provizore
	git clone https://github.com/minetest-mods/wielded_light mods.retaj/wielded_light
	git clone https://codeberg.org/jadedctrl/xdecor-libre mods.retaj/xdecor-libre # Provizore
}


# Flikas modifaĵojn por nia servilo.
fliki() {
	cp -r flikaĵoj/skinsdb/meta/* mods.retaj/skinsdb/meta/
	cp -r flikaĵoj/skinsdb/textures/* mods.retaj/skinsdb/textures/

	cd mods.retaj/public_death_messages/
	git apply ../../flikaĵoj/public_death_messages/*.patch
	cd ../../

	cd mods.retaj/mobs_redo/
	git apply ../../flikaĵoj/mobs_redo/*.patch
	cd ../../
}


# Ligas fremdajn (`mods.retaj/*`) modifaĵojn kun niaj (`mods.niaj/*`) al `mods/`.
ligi() {
	rm mods/*
	for mod in mods.retaj/*; do
		ln -s "$(pwd)/$mod" mods/"$(basename "$mod")"
	done

	for mod in mods.niaj/*; do
		ln -s "$(pwd)/$mod" mods/"$(basename "$mod")"
	done
}


if test "$1" = "-h" -o "$1" = "--help" -o "$1" = "--helpo"; then
	uzado
	exit 0
fi
if test ! -d mods.niaj/; then
	1>&2 uzado
	exit 2
fi


elshuti \
	2>&1 \
	| grep -v  'already exists and is not an empty directory' \
		   1>&2
fliki
ligi
